datablock AudioProfile(swordDeflect)
{
   filename    = "./SwordDeflect.wav";
   description = AudioClosest3d;
   preload = true;
};
if(isPackage(SwordBlock))
   deactivatepackage(SwordBlock);
package SwordBlock
{
   function Armor::damage(%this, %player, %sourceObject, %position, %damage, %damageType)
	{
	   //%forward=vectorScale(vectorAdd(%player.getHackPosition(),%player.getMuzzleVector(0)),1.1);
		if(%player.getMountedImage(0)==nameToID("blockedSwordImage"))
		{
         if(vectorDot(vectorNormalize(%sourceObject.getVelocity()),%player.getMuzzleVector(0)) < 0)
		   {
            %player.addVelocity(vectorScale(vectorNormalize(%sourceObject.getVelocity()),0.1));
            serverPlay3d(swordDeflect,%position);
            return;
		   }
		}
		parent::damage(%this, %player, %sourceObject, %position, %damage, %damageType);
	}
	function Armor::onTrigger(%this,%obj,%trig,%val)
	{
	   Parent::onTrigger(%this,%obj,%trig,%val);
	   if(%val&&%trig==4)
	   {
	      if(%obj.getMountedImage(0)==nameToID("swordImage"))
	      {
            %obj.MountImage(blockedSwordImage,0);
	      }
	   }
	   else if(%trig==4)
	   {
	      if(%obj.getMountedImage(0)==nameToID("blockedSwordImage"))
	      {
            %obj.MountImage(SwordImage,0);
	      }
	   }
	}
};
activatepackage(SwordBlock);
datablock ShapeBaseImageData(blockedSwordImage)
{
   shapeFile = "add-ons/weapon_sword/sword.dts";
   emap = true;
   mountPoint = 0;
   offset = "0 0 0";
   correctMuzzleVector = false;
   eyeOffset = "0.7 1.2 -0.25";
   rotation=eulerToMatrix("-45 0 90");
   eyerotation=eulerToMatrix("-45 0 90");
   className = "WeaponImage";
   melee = true;
   doRetraction = false;
   armReady = true;
   doColorShift = true;
   colorShiftColor = "0.471 0.471 0.471 1.000";

	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]      = "Ready";
	stateSound[0]                    = swordDrawSound;

	stateName[1]                     = "Ready";
	stateAllowImageChange[1]         = true;
};